# Monotonie a omezenost posloupnosti
## Posloupnost
### Definice
- **Posloupnost reálných čísel** je zobrazení s definičním oborem $\mathbb N$ a oborem hodnot $H \subset R$
    - každému indexu z $n \in \mathbb N$ je přiřazen právě jeden člen $a_n \in \mathbb R$

### Zadání posloupnosti

| typ                     | příklad                                                |
| ----------------------- | ------------------------------------------------------ |
| explicitní              | $a_n = 2n$                                             |
| implicitní (rekurentní) | $\begin{cases} a_{n+1} = a_n + 2\\ a_1 = 1\end{cases}$ |

## Omezenost

Posloupnost $(a_n)$ s oborem hodnot $H$ je omezená (zdola, shora), je-li množina $H$ omezená (zdola, shora).

| značení | typ                     | podmínka   |
| ------- | ----------------------- | --------- |
| **O**       | omezená (shora i zdola) | $\exist \ c > 0 \ \forall n \in \mathbb N: \vert a_n \vert \  \leq c $  |
| **OS**      | omezená shora           | $\exist \ h \in \mathbb R, \ \forall n \in \mathbb N: a_n \leq h$     |
| **OZ**      | omezená zdola           | $\exist \ d \in \mathbb R, \ \forall n \in \mathbb N: d \leq a_n$ | 

## Monotonie

Řekněme, že $(a_n)$ je

| značka | typ             | podmínka                                                      |
| ------ | --------------- | ------------------------------------------------------------- |
| **R**  | rostoucí        | $\displaystyle \forall n \in \mathbb{N} \ \ \ a_{n+1} >= a_n$ |
| **K**  | klesající       | $\displaystyle \forall n \in \mathbb{N} \ \ \ a_{n+1} <= a_n$ |
| **OR** | ostře rostoucí  | $\displaystyle \forall n \in \mathbb{N} \ \ \ a_{n+1} > a_n$  |
| **OK** | ostře klesající | $\displaystyle \forall n \in \mathbb{N} \ \ \ a_{n+1} < a_n$  |
| **M**  | monotónní       | je klesající nebo rostoucí                                    |
| **OM** | ostře monotónní | je ostře klesající nebo ostře rostoucí                        |

### Zjištění monotonie
1) Tipnu a ověřím
2) Otazníčková metoda